Developer docs menu

API reference / Drive

Drive API

49 endpoints. Scopes: Scalar360.drive.READ, .CREATE, .UPDATE, .DELETE or .ALL. All calls need Authorization: Scalar360-oauthtoken <access_token> — see Authentication.

GET

List

/api/v1/drive

Scope: Scalar360.drive.READ

ParameterInTypeRequired
folderIdquerystring (uuid)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/drive" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Access

/api/v1/drive/access

Scope: Scalar360.drive.READ

Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/access" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Activity

/api/v1/drive/activity

Scope: Scalar360.drive.READ

ParameterInTypeRequired
itemIdquerystring (uuid)No
limitqueryinteger (default 100)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/activity" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Dashboard

/api/v1/drive/dashboard

Scope: Scalar360.drive.READ

ParameterInTypeRequired
daysqueryinteger (default 30)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/dashboard" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Upload

/api/v1/drive/files

Scope: Scalar360.drive.CREATE

ParameterInTypeRequired
folderIdquerystring (uuid)No

Request body: multipart/form-data with a file field.

Example request
curl -X POST "https://api.scalar360.com/api/v1/drive/files" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -F "file=@/path/to/file"
GET

File info

/api/v1/drive/files/{gid}

Scope: Scalar360.drive.READ

ParameterInTypeRequired
gidpathstring (uuid)Yes
Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/files/{gid}" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
DELETE

Delete file

/api/v1/drive/files/{gid}

Scope: Scalar360.drive.DELETE

ParameterInTypeRequired
gidpathstring (uuid)Yes
Example request
curl -X DELETE "https://api.scalar360.com/api/v1/drive/files/{gid}" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Download

/api/v1/drive/files/{gid}/download

Scope: Scalar360.drive.READ

ParameterInTypeRequired
gidpathstring (uuid)Yes
Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/files/{gid}/download" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Editor config

/api/v1/drive/files/{gid}/editor-config

Scope: Scalar360.drive.READ

ParameterInTypeRequired
gidpathstring (uuid)Yes
Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/files/{gid}/editor-config" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Rename file

/api/v1/drive/files/{gid}/rename

Scope: Scalar360.drive.CREATE

ParameterInTypeRequired
gidpathstring (uuid)Yes
Body fieldTypeRequiredNotes
namestring
Example request
curl -X POST "https://api.scalar360.com/api/v1/drive/files/{gid}/rename" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"string"}'
POST

Create link

/api/v1/drive/files/{gid}/share-links

Scope: Scalar360.drive.CREATE

ParameterInTypeRequired
gidpathstring (uuid)Yes
Body fieldTypeRequiredNotes
permissionstring
expiresInDaysinteger
passwordstring
Example request
curl -X POST "https://api.scalar360.com/api/v1/drive/files/{gid}/share-links" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"permission":"string","expiresInDays":1,"password":"string"}'
GET

List shares

/api/v1/drive/files/{gid}/shares

Scope: Scalar360.drive.READ

ParameterInTypeRequired
gidpathstring (uuid)Yes
Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/files/{gid}/shares" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Add share

/api/v1/drive/files/{gid}/shares

Scope: Scalar360.drive.CREATE

ParameterInTypeRequired
gidpathstring (uuid)Yes
Body fieldTypeRequiredNotes
userIdstring (uuid)
permissionstring
Example request
curl -X POST "https://api.scalar360.com/api/v1/drive/files/{gid}/shares" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"userId":"3f1c2b9e-7a1d-4c3e-9b2a-1e5f6a7b8c9d","permission":"string"}'
POST

Stop sharing

/api/v1/drive/files/{gid}/stop-sharing

Scope: Scalar360.drive.CREATE

ParameterInTypeRequired
gidpathstring (uuid)Yes
Example request
curl -X POST "https://api.scalar360.com/api/v1/drive/files/{gid}/stop-sharing" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Versions

/api/v1/drive/files/{gid}/versions

Scope: Scalar360.drive.READ

ParameterInTypeRequired
gidpathstring (uuid)Yes
Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/files/{gid}/versions" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Download version

/api/v1/drive/files/{gid}/versions/{versionGid}/download

Scope: Scalar360.drive.READ

ParameterInTypeRequired
gidpathstring (uuid)Yes
versionGidpathstring (uuid)Yes
Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/files/{gid}/versions/{versionGid}/download" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Restore version

/api/v1/drive/files/{gid}/versions/{versionGid}/restore

Scope: Scalar360.drive.CREATE

ParameterInTypeRequired
gidpathstring (uuid)Yes
versionGidpathstring (uuid)Yes
Example request
curl -X POST "https://api.scalar360.com/api/v1/drive/files/{gid}/versions/{versionGid}/restore" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Create blank

/api/v1/drive/files/blank

Scope: Scalar360.drive.CREATE

Body fieldTypeRequiredNotes
namestring
kindstring
folderIdstring (uuid)
Example request
curl -X POST "https://api.scalar360.com/api/v1/drive/files/blank" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"string","kind":"string","folderId":"3f1c2b9e-7a1d-4c3e-9b2a-1e5f6a7b8c9d"}'
DELETE

Remove folder share

/api/v1/drive/folder-shares/{shareGid}

Scope: Scalar360.drive.DELETE

ParameterInTypeRequired
shareGidpathstring (uuid)Yes
Example request
curl -X DELETE "https://api.scalar360.com/api/v1/drive/folder-shares/{shareGid}" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Create folder

/api/v1/drive/folders

Scope: Scalar360.drive.CREATE

Body fieldTypeRequiredNotes
namestring
parentIdstring (uuid)
Example request
curl -X POST "https://api.scalar360.com/api/v1/drive/folders" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"string","parentId":"3f1c2b9e-7a1d-4c3e-9b2a-1e5f6a7b8c9d"}'
DELETE

Delete folder

/api/v1/drive/folders/{gid}

Scope: Scalar360.drive.DELETE

ParameterInTypeRequired
gidpathstring (uuid)Yes
Example request
curl -X DELETE "https://api.scalar360.com/api/v1/drive/folders/{gid}" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Rename folder

/api/v1/drive/folders/{gid}/rename

Scope: Scalar360.drive.CREATE

ParameterInTypeRequired
gidpathstring (uuid)Yes
Body fieldTypeRequiredNotes
namestring
Example request
curl -X POST "https://api.scalar360.com/api/v1/drive/folders/{gid}/rename" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"string"}'
GET

List

/api/v1/drive/folders/{gid}/requests

Scope: Scalar360.drive.READ

ParameterInTypeRequired
gidpathstring (uuid)Yes
Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/folders/{gid}/requests" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Create

/api/v1/drive/folders/{gid}/requests

Scope: Scalar360.drive.CREATE

ParameterInTypeRequired
gidpathstring (uuid)Yes
Body fieldTypeRequiredNotes
titlestring
messagestring
expiresInDaysinteger
Example request
curl -X POST "https://api.scalar360.com/api/v1/drive/folders/{gid}/requests" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"title":"string","message":"string","expiresInDays":1}'
GET

List folder shares

/api/v1/drive/folders/{gid}/shares

Scope: Scalar360.drive.READ

ParameterInTypeRequired
gidpathstring (uuid)Yes
Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/folders/{gid}/shares" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Add folder share

/api/v1/drive/folders/{gid}/shares

Scope: Scalar360.drive.CREATE

ParameterInTypeRequired
gidpathstring (uuid)Yes
Body fieldTypeRequiredNotes
userIdstring (uuid)
permissionstring
Example request
curl -X POST "https://api.scalar360.com/api/v1/drive/folders/{gid}/shares" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"userId":"3f1c2b9e-7a1d-4c3e-9b2a-1e5f6a7b8c9d","permission":"string"}'
POST

Stop sharing folder

/api/v1/drive/folders/{gid}/stop-sharing

Scope: Scalar360.drive.CREATE

ParameterInTypeRequired
gidpathstring (uuid)Yes
Example request
curl -X POST "https://api.scalar360.com/api/v1/drive/folders/{gid}/stop-sharing" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Largest

/api/v1/drive/largest

Scope: Scalar360.drive.READ

ParameterInTypeRequired
limitqueryinteger (default 20)No
Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/largest" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Limits

/api/v1/drive/limits

Scope: Scalar360.drive.READ

Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/limits" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
PUT

Save limits

/api/v1/drive/limits

Scope: Scalar360.drive.UPDATE

Body fieldTypeRequiredNotes
defaultMbinteger
peoplearray of object
people[].userIdstring (uuid)
people[].limitMbinteger
Example request
curl -X PUT "https://api.scalar360.com/api/v1/drive/limits" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"defaultMb":1,"people":[{"userId":"3f1c2b9e-7a1d-4c3e-9b2a-1e5f6a7b8c9d","limitMb":1}]}'
GET

My storage

/api/v1/drive/me/storage

Scope: Scalar360.drive.READ

Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/me/storage" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Recent

/api/v1/drive/recent

Scope: Scalar360.drive.READ

Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/recent" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Record folder

/api/v1/drive/records/{type}/{gid}

Scope: Scalar360.drive.READ

ParameterInTypeRequired
typepathstringYes
gidpathstring (uuid)Yes
Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/records/{type}/{gid}" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Close

/api/v1/drive/requests/{gid}/close

Scope: Scalar360.drive.CREATE

ParameterInTypeRequired
gidpathstring (uuid)Yes
Example request
curl -X POST "https://api.scalar360.com/api/v1/drive/requests/{gid}/close" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Members

/api/v1/drive/shareable-members

Scope: Scalar360.drive.READ

Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/shareable-members" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Shared by me

/api/v1/drive/shared-by-me

Scope: Scalar360.drive.READ

Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/shared-by-me" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Shared with me

/api/v1/drive/shared-with-me

Scope: Scalar360.drive.READ

Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/shared-with-me" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Folders shared with me

/api/v1/drive/shared-with-me/folders

Scope: Scalar360.drive.READ

Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/shared-with-me/folders" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
DELETE

Remove share

/api/v1/drive/shares/{shareGid}

Scope: Scalar360.drive.DELETE

ParameterInTypeRequired
shareGidpathstring (uuid)Yes
Example request
curl -X DELETE "https://api.scalar360.com/api/v1/drive/shares/{shareGid}" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Team drives

/api/v1/drive/team-drives

Scope: Scalar360.drive.READ

Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/team-drives" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Create team drive

/api/v1/drive/team-drives

Scope: Scalar360.drive.CREATE

Body fieldTypeRequiredNotes
namestring
Example request
curl -X POST "https://api.scalar360.com/api/v1/drive/team-drives" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"string"}'
GET

Trash

/api/v1/drive/trash

Scope: Scalar360.drive.READ

Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/trash" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
DELETE

Empty trash

/api/v1/drive/trash

Scope: Scalar360.drive.DELETE

Example request
curl -X DELETE "https://api.scalar360.com/api/v1/drive/trash" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
DELETE

Purge

/api/v1/drive/trash/{kind}/{gid}

Scope: Scalar360.drive.DELETE

ParameterInTypeRequired
kindpathstringYes
gidpathstring (uuid)Yes
Example request
curl -X DELETE "https://api.scalar360.com/api/v1/drive/trash/{kind}/{gid}" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
POST

Restore

/api/v1/drive/trash/{kind}/{gid}/restore

Scope: Scalar360.drive.CREATE

ParameterInTypeRequired
kindpathstringYes
gidpathstring (uuid)Yes
Example request
curl -X POST "https://api.scalar360.com/api/v1/drive/trash/{kind}/{gid}/restore" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"
GET

Usage

/api/v1/drive/usage

Scope: Scalar360.drive.READ

Example request
curl -X GET "https://api.scalar360.com/api/v1/drive/usage" \
  -H "Authorization: Scalar360-oauthtoken $ACCESS_TOKEN"